Upsert User Into Clan
curl --request PUT \
--url https://codecombat.com/api/clan/{handle}/members \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>"
}
'import requests
url = "https://codecombat.com/api/clan/{handle}/members"
payload = { "userId": "<string>" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({userId: '<string>'})
};
fetch('https://codecombat.com/api/clan/{handle}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"name": "<string>",
"displayName": "<string>",
"members": [
"<string>"
],
"ownerID": "<string>",
"description": "<string>",
"type": "<string>",
"kind": "<string>",
"metadata": {}
}Clans
Upsert User Into Clan
Upserts a user into the clan.
PUT
/
clan
/
{handle}
/
members
Upsert User Into Clan
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The document's _id or slug.
Body
application/json
The _id or slug of the user to add to the clan.
⌘I
